import { BackendError } from "./errors/BackendError";
const state = {};
export const setAuthorization = (authorization) => {
    state.authorization = authorization == null ? undefined : authorization;
};
export const getAuthorization = () => state.authorization;
export const setErrorHandler = (handler) => {
    state.errorHandler = handler == null ? undefined : handler;
};
export const handleError = (error) => {
    if (!state.errorHandler) {
        return console.warn("Error not handled", error.name, error.message);
    }
    if (error instanceof BackendError) {
        state.errorHandler(error);
    }
    else {
        const backendError = new BackendError();
        backendError.message = error.message;
        backendError.addTag("previous", error);
        state.errorHandler(backendError);
    }
};
